2023-03-29 17:55:25 UTC
49.4 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:333f5f619d7efe58316b2d71276f19d0a59bcb471f4dadaa85762b2c9e02775c - 5.46% (2.7 MB)
[#001] sha256:44607ec662b885643c2675d6478696eb68908eb5f2cf48ac274a2be58de74ac4 - 0.0% (1.24 KB)
[#002] sha256:f5a22ab1e0d92c068ad8cabbae69b28802e9f3c25eccfa9ebbe196517402d6fb - 94.53% (46.7 MB)
[#003] sha256:4a561661dbf49b998eedcc0980686ea0b869df7cf9740f07bddec87ea76b2354 - 0.0% (175 Bytes)
[#004] sha256:0f58f5a48673af836ac1b265f9d3d6c81c4a6bf7f49db89d1385838e602a2a55 - 0.0% (153 Bytes)
[#005] sha256:f06fd9bfa1669b95e138803b6901d88e2bbe71a6f32c76d7685faab3f2210b38 - 0.0% (1.74 KB)
/bin/sh -c #(nop) ADD file:fca96dde137b6b045359aec9d24257996738ac6cb7cce9518460a66802a27bd7 in /
2023-03-29 17:38:36 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2023-03-29 17:55:15 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.13.7
2023-03-29 17:55:15 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.13.7 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
2023-03-29 17:55:15 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2023-03-29 17:55:16 UTC|1 CONSUL_VERSION=1.13.7 /bin/sh -c addgroup consul && adduser -S -G consul consul
2023-03-29 17:55:23 UTC|1 CONSUL_VERSION=1.13.7 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2023-03-29 17:55:24 UTC|1 CONSUL_VERSION=1.13.7 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2023-03-29 17:55:24 UTC|1 CONSUL_VERSION=1.13.7 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2023-03-29 17:55:25 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2023-03-29 17:55:25 UTC/bin/sh -c #(nop) EXPOSE 8300
2023-03-29 17:55:25 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2023-03-29 17:55:25 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2023-03-29 17:55:25 UTC/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh
2023-03-29 17:55:25 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2023-03-29 17:55:25 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]
2023-03-29 19:42:02 UTC
50.5 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:0ce1dd7918a48990ab749aab2e805c26f691a3a8103495530e7ea5a1d168af4a - 5.34% (2.7 MB)
[#001] sha256:a97ce603c901e7094c87020e923aeb2b128428cfc680f1f0ab3478e55735d5c9 - 0.0% (1.24 KB)
[#002] sha256:c5db1a9fb0a203781110be9049813e538f5a3abe451e73d06430e0fffb60c53f - 94.65% (47.8 MB)
[#003] sha256:e9203956c7919ff7156b839d9d5405084d65ec5ba7b6dc9341261e2b9ca70549 - 0.0% (175 Bytes)
[#004] sha256:be0ed56e88e35985c34401ee82b19e011398546feae58c0f9a6e937eb4f1d005 - 0.0% (152 Bytes)
[#005] sha256:694555e962ca7dc0b2061739f4f3fa087eaf02a44be373bdfe0f7d06776c1065 - 0.0% (1.74 KB)
/bin/sh -c #(nop) ADD file:08ad6c1c886a26e30ae4ab103ff377ee6cfbc1be2437fa227ec28a335c63d78a in /
2023-03-29 18:19:33 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2023-03-29 19:41:53 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.13.7
2023-03-29 19:41:54 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.13.7 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
2023-03-29 19:41:54 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2023-03-29 19:41:54 UTC|1 CONSUL_VERSION=1.13.7 /bin/sh -c addgroup consul && adduser -S -G consul consul
2023-03-29 19:42:00 UTC|1 CONSUL_VERSION=1.13.7 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2023-03-29 19:42:00 UTC|1 CONSUL_VERSION=1.13.7 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2023-03-29 19:42:01 UTC|1 CONSUL_VERSION=1.13.7 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2023-03-29 19:42:01 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2023-03-29 19:42:01 UTC/bin/sh -c #(nop) EXPOSE 8300
2023-03-29 19:42:01 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2023-03-29 19:42:01 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2023-03-29 19:42:01 UTC/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh
2023-03-29 19:42:01 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2023-03-29 19:42:02 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]
2023-03-29 18:41:46 UTC
48.2 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:872c99a87729fa48dce303fb615edbb1a5da837f627a0b3d28495a0400ca8335 - 5.22% (2.51 MB)
[#001] sha256:de0b2592e24b3be9e300665f22ab3411c541c718233566d1b5f2a2bc19e4c5e5 - 0.0% (1.24 KB)
[#002] sha256:fda52e7c6a75316bc9156fff7291f69837269a4a2d4c66473e0b9df9ef33be57 - 94.78% (45.6 MB)
[#003] sha256:772fd3b0ef6ac173e35e8f16d6e4f71cc96e8f7e959c625ed8989b1e6cf55f70 - 0.0% (173 Bytes)
[#004] sha256:50010f1739ef67adf1cba58b77155509ed869836c74f22c2521dc5e61aa6fd55 - 0.0% (153 Bytes)
[#005] sha256:a6128ec50a67f7ca19f625924a2879d69a0a7b4802839b116a16bf62155853cf - 0.0% (1.74 KB)
/bin/sh -c #(nop) ADD file:3fb55ad8134002858be264c3c2477d784e4a60f2f6501afa7cf3b10bfede51aa in /
2023-03-29 18:01:13 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2023-03-29 18:41:36 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.13.7
2023-03-29 18:41:36 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.13.7 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
2023-03-29 18:41:36 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2023-03-29 18:41:37 UTC|1 CONSUL_VERSION=1.13.7 /bin/sh -c addgroup consul && adduser -S -G consul consul
2023-03-29 18:41:44 UTC|1 CONSUL_VERSION=1.13.7 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2023-03-29 18:41:45 UTC|1 CONSUL_VERSION=1.13.7 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2023-03-29 18:41:45 UTC|1 CONSUL_VERSION=1.13.7 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2023-03-29 18:41:45 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2023-03-29 18:41:46 UTC/bin/sh -c #(nop) EXPOSE 8300
2023-03-29 18:41:46 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2023-03-29 18:41:46 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2023-03-29 18:41:46 UTC/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh
2023-03-29 18:41:46 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2023-03-29 18:41:46 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]
2023-03-30 03:55:59 UTC
47.6 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:60a00c11adf5202a365ec8215b889c3390d67fa295ab79940e1c5dc4cbed9db1 - 5.45% (2.6 MB)
[#001] sha256:47b44f3d8c21792a96353f993bd3186487e14bdefb63f42311cc8043ba230d6e - 0.0% (1.24 KB)
[#002] sha256:80b7876c162dfcf7e0941c27019dea300c38b1a27f573da31b50a06a4904996c - 94.54% (45 MB)
[#003] sha256:25e98b006bfb180688415b7b953b482a28a1684619a61289ab899f2faac8ba6e - 0.0% (175 Bytes)
[#004] sha256:f67c3f82d4e6d9992e0f2a9fe515cd7be844a995d51172e8c2495bc4a24d192b - 0.0% (154 Bytes)
[#005] sha256:7970a823b41c1a19c1be8c9a8aaf5f2d104cd92a2a4822087bd5910cb651a32f - 0.0% (1.74 KB)
/bin/sh -c #(nop) ADD file:4acfda16c71abce07068ed23839e9de60c1d1145ab8002b3a92c15b1e80d4356 in /
2023-03-29 17:39:23 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2023-03-30 03:55:52 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.13.7
2023-03-30 03:55:52 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.13.7 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
2023-03-30 03:55:52 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2023-03-30 03:55:52 UTC|1 CONSUL_VERSION=1.13.7 /bin/sh -c addgroup consul && adduser -S -G consul consul
2023-03-30 03:55:57 UTC|1 CONSUL_VERSION=1.13.7 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2023-03-30 03:55:58 UTC|1 CONSUL_VERSION=1.13.7 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2023-03-30 03:55:58 UTC|1 CONSUL_VERSION=1.13.7 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2023-03-30 03:55:59 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2023-03-30 03:55:59 UTC/bin/sh -c #(nop) EXPOSE 8300
2023-03-30 03:55:59 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2023-03-30 03:55:59 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2023-03-30 03:55:59 UTC/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh
2023-03-30 03:55:59 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2023-03-30 03:55:59 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]